gr::gfdm::simple_modulator_cc_impl Class Reference

`#include <simple_modulator_cc_impl.h>`

Inheritance diagram for gr::gfdm::simple_modulator_cc_impl:
[legend]

## Public Member Functions

| simple_modulator_cc_impl (int n_timeslots, int n_subcarriers, int overlap, std::vector< gr_complex > frequency_taps)
| ~simple_modulator_cc_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::gfdm::simple_modulator_cc
typedef boost::shared_ptr< simple_modulator_cc > | sptr
Static Public Member Functions inherited from gr::gfdm::simple_modulator_cc
static sptr | make (int n_timeslots, int n_subcarriers, int overlap, std::vector< gr_complex > frequency_taps)
| Return a shared_ptr to a new instance of gfdm::simple_modulator_cc.

## Constructor & Destructor Documentation

## simple_modulator_cc_impl()

gr::gfdm::simple_modulator_cc_impl::simple_modulator_cc_impl | ( | int | n_timeslots,
|  | int | n_subcarriers,
|  | int | overlap,
|  | std::vector< gr_complex > | frequency_taps
| ) |  |

## ~simple_modulator_cc_impl()

gr::gfdm::simple_modulator_cc_impl::~simple_modulator_cc_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::gfdm::simple_modulator_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- simple_modulator_cc_impl.h